/*  =========================== header section =========================== */
header{position: fixed; top: 0; right: 0; left: 0; z-index: 100;background-color: var(--off-white-01);transition:0.3s ease-in-out;}
/* sticky */
header.sticky{box-shadow: 0px 8px 16px 0px rgba(58, 58, 58, 0.2);}
header.sticky .primary-navigation .menu-wrapper li a {padding-block:20px;}

.wp-custom-logo .site-header{padding: 0;max-width:unset;display: block;}
header .container{ display: flex;align-items: center;justify-content: space-between;transition:0.3s ease-in-out;position: relative;}
.site-main{padding-top: 85px;}

/*============================ mega menu stye ============================ */
#mega-menu-wrap-primary #mega-menu-primary > li.mega-menu-megamenu.mega-menu-item,
#mega-menu-wrap-primary,.primary-navigation,#mega-menu-wrap-primary #mega-menu-primary{position: unset;}


#mega-menu-wrap-primary{background: var(--f0);}
#mega-menu-wrap-primary #mega-menu-primary > li.mega-menu-item.mega-current-menu-item > a.mega-menu-link, 
#mega-menu-wrap-primary #mega-menu-primary > li.mega-menu-item.mega-current-menu-ancestor > a.mega-menu-link, 
#mega-menu-wrap-primary #mega-menu-primary > li.mega-menu-item.mega-current-page-ancestor > a.mega-menu-link, 
#mega-menu-wrap-primary #mega-menu-primary > li.mega-menu-item > a.mega-menu-link:focus{ background:var(--off-white-01);color:var(--black);font-weight: 500; }
#mega-menu-wrap-primary #mega-menu-primary{display: flex ; align-items: center; gap: 54px;}

#mega-menu-wrap-primary #mega-menu-primary > li.mega-menu-item > a.mega-menu-link{padding:30px 0; background:var(--off-white-01);color:#AAAAAA;text-align: center; font-family: var(--red-hat); font-size: 16px; font-weight: 500; line-height: 25px; letter-spacing: 0; text-transform: uppercase;transition: 0.3s ease-in-out;height:auto;border: none;}
#mega-menu-wrap-primary #mega-menu-primary > li.mega-menu-item > a.mega-menu-link:hover{background:var(--off-white-01);color: var(--black);font-weight: 500;}
#mega-menu-wrap-primary #mega-menu-primary > li.mega-menu-item.mega-toggle-on > a.mega-menu-link{background:var(--off-white-01);color: var(--black);font-weight: 500;}
#mega-menu-wrap-primary #mega-menu-primary li.mega-menu-item-has-children > a.mega-menu-link > span.mega-indicator{display:none;}

#mega-menu-wrap-primary #mega-menu-primary > li.mega-menu-item:last-child > a.mega-menu-link{padding:11px 16px; background-color: var(--black);color:var(--white);border-radius:10px;margin-left: 46px;border:1px solid var(--black);}
#mega-menu-wrap-primary #mega-menu-primary > li.mega-menu-item:last-child > a.mega-menu-link:hover{background-color: var(--white);color: var(--black);}


/* sub menu */
#mega-menu-wrap-primary .heading-style-6{color: var(--black);font-weight: 700; font-family: var(--red-hat);}
#mega-menu-wrap-primary #mega-menu-primary > li.mega-menu-megamenu > ul.mega-sub-menu > li:first-child > ul {padding-bottom: 14px;margin: 0 14px 24px; border-bottom: 1px solid #D9D9D9;display:flex !important;align-items:center;}
#mega-menu-wrap-primary #mega-menu-primary > li.mega-menu-megamenu > ul.mega-sub-menu{border-radius: 0 0 20px 20px; padding: 24px 40px 26px;background:var(--off-white-01);}
#mega-menu-wrap-primary  .black-fill-theme-btn{color: var(--white) !important;margin-top: 0 !important;max-width: fit-content; margin-left: auto;}
#mega-menu-wrap-primary  .black-fill-theme-btn:hover{color: var(--black) !important;text-decoration: none !important;}

#mega-menu-wrap-primary #mega-menu-primary li.mega-menu-megamenu > ul.mega-sub-menu > li.mega-menu-row .mega-menu-column > ul.mega-sub-menu > li.mega-menu-item{padding: 0;}

/* image style */
#mega-menu-wrap-primary li.widget_media_image{padding: 0 14px !important;}
#mega-menu-wrap-primary li.widget_media_image a{position: relative !important;}
#mega-menu-wrap-primary li.widget_media_image a::before{display:block !important; content:''; opacity:0; z-index:1; position: absolute;top: 0;left: 0;background: linear-gradient(180deg, rgba(0, 0, 0, 0) 66.47%, rgba(0, 0, 0, 0.492555) 78.87%, #000000 100%); height: 100%;width: 100%;transition:0.3s ease-in-out;}
#mega-menu-wrap-primary a:has(img.image){padding:0;border-radius: 20px;overflow:hidden;position:relative;padding-top:46.6%;}
#mega-menu-wrap-primary li.widget_media_image img{position: absolute;top: 0;left: 0;height: 100% !important;width: 100% !important;object-fit: cover;}
#mega-menu-wrap-primary li.widget_media_image h4{opacity: 0;z-index: 2; margin-inline:16px; position: absolute;display:inline-block !important; bottom: 16px;left: 32px;right: 0;text-align: left !important;color: var(--white) !important;font-family: var(--red-hat) !important;font-size: 16px !important;font-weight: 600 !important;line-height: 24px !important;letter-spacing: 0 !important;transition:0.3s ease-in-out;pointer-events: none;text-transform: unset !important;}
#mega-menu-wrap-primary li.widget_media_image h4:has(~a:hover),
#mega-menu-wrap-primary li.widget_media_image a:hover::before{opacity: 1 !important;}


/*  =========================== footer section =========================== */
.site-footer { margin-block: 0 !important;max-width: unset; background-color: var(--black);padding: 0;}
.site-footer>* { margin-block: 0; }
.site-footer .size-full { display: inline-block; }
.site-footer a{transition:all 0.3s ease-in-out;}
.site-logo{margin-block: 0;}
.top-footer{ padding: 90px 0 52px 0;}
/* hover */
/* footer a{position: relative;font-size: 16px;line-height: 26px;color: var(--white);font-family: var(--red-hat);font-weight:400;letter-spacing:0;} */
footer a:hover{color: var(--white) !important;}
footer a:after { content: ''; position: absolute; width: 100%; transform: scaleX(0); height: 1px; bottom: 0; left: 0; background-color: var(--white); transform-origin: bottom right; transition: transform 0.25s ease-out; }
footer a:hover:after { transform: scaleX(1); transform-origin: bottom left; }

.top-footer p,.top-footer a{position:relative; color: var(--white) !important;font-family: var(--red-hat) !important;}
.has-background-white .site footer .top-footer a:focus,.has-background-white .site footer .bottom-footer a:focus{color: var(--white) !important;}

/* ----------- footer logo -----------*/
.footer-logo img{height: auto;width: 100%;max-width:263px; margin-bottom: 33px;}

/*----------- footer menu -----------*/
footer h2{margin-bottom: 20px !important; color: var(--white); font-family: var(--red-hat) !important; font-size: 28px!important; font-weight: 500!important; line-height: 30px!important; text-transform: none;}
.footer-links ul{display: flex;flex-direction: column; row-gap: 12px;}
footer .widget ul li{line-height: unset;}

/*----------- footer-connect -----------*/
.footer-connect p{margin-bottom:12px !important;}
.footer-connect ul li{display: flex;align-items: center;margin-bottom: 12px;color:var(--white);gap: 5px;}
.footer-connect ul li img{width: 20px;height:20px;margin-right:3px;}

/* social icons */
footer .footer-connect ul#menu-social-menu              {display: flex;gap:12px;margin-top:20px;}
footer .footer-connect ul#menu-social-menu li a         {width:36px;height:36px;margin:0; display:flex;justify-content: center;align-items: center;background:rgba(255, 255, 255, 0.08);border-radius:50%;}
footer .footer-connect ul#menu-social-menu li a:hover   {scale: 1.2;}
footer .footer-connect ul#menu-social-menu li a img     {height:100%;width:100%;margin:0;}
footer .footer-connect ul#menu-social-menu li span      {display: none;}
footer .footer-connect ul#menu-social-menu li a:after{display: none;}

/*----------- footer-contact-form -----------*/
.footer-contact-info p{margin-bottom: 40px !important;}
.footer-contact-wrap{position: relative;display: flex;align-items:center;gap:8px;}
/* .wpcf7-form-control-wrap{position: unset;} */
/* .footer-contact-form{margin-bottom: 36px;} */
/* form */

input[type=text]:focus, input[type=email]:focus,input[type=tel]:focus,input[type=tel]:focus, input[type=url]:focus, input[type=password]:focus, input[type=search]:focus, input[type=number]:focus, input[type=tel]:focus, input[type=date]:focus, input[type=month]:focus, input[type=week]:focus, input[type=time]:focus, input[type=datetime]:focus, input[type=datetime-local]:focus, input[type=color]:focus, .site textarea:focus, select:focus,input[type=text]:focus-visible, input[type=email]:focus-visible, input[type=url]:focus-visible, input[type=password]:focus-visible, input[type=search]:focus-visible, input[type=number]:focus-visible, input[type=tel]:focus-visible, input[type=date]:focus-visible, input[type=month]:focus-visible, input[type=week]:focus-visible, input[type=time]:focus-visible, input[type=datetime]:focus-visible, input[type=datetime-local]:focus-visible, input[type=color]:focus-visible, .site textarea:focus-visible, select:focus-visible{
     outline-offset: none; 
     outline: none;
     color: var(--secondary); 
}
footer input[type=text], footer input[type=email], footer input[type=url], footer input[type=tel], footer input[type=password], footer input[type=search], footer input[type=number], footer input[type=tel], footer input[type=date], footer input[type=month], footer input[type=week], footer input[type=time], footer input[type=datetime], footer input[type=datetime-local], footer input[type=color], .site footer textarea,footer select  {
    width: 100%;
    border: none !important;  
    border-radius: 10px !important;   
    background: var(--white) !important; 
    margin: 0!important; 
    color: var(--black)!important; 
    font-size: 16px!important; 
    font-weight: 400; 
    font-family:var(--red-hat) !important;
    line-height: 24px!important;       
    padding:11px 16px !important;
   
}
footer input[type=text]::placeholder, footer input[type=email]::placeholder,footer input[type=tel]::placeholder, footer input[type=url]::placeholder, footer input[type=password]::placeholder, footer input[type=search]::placeholder, footer input[type=number]::placeholder, footer input[type=tel]::placeholder, footer input[type=date]::placeholder, footer input[type=month]::placeholder, footer input[type=week]::placeholder, footer input[type=time]::placeholder, footer input[type=datetime]::placeholder, footer input[type=datetime-local]::placeholder, footer input[type=color]::placeholder, .site footer textarea::placeholder,footer select::placeholder {
    font-size: 16px; 
    line-height: 24px;
    font-family:var(--red-hat) !important;         
    font-weight: 400;
}
footer form{position: relative;}
/* form p:last-child{line-height: 0;} */
footer .footer-submit-btn{position:relative;}
footer input[type=submit] {
    background-color: var(--white) !important;
    padding: 11px 20px!important; 
    font-size:16px !important;
    line-height:24px !important;
    color:var(--black) !important;
    border:1px solid var(--white);
    border-radius:10px;
    transition: all 0.3s ease-in-out;
    text-align:center;     
}
footer input[type=submit]:hover{background-color:var(--f0)!important;color:var(--white) !important;border-color:var(--white) !important;}
footer input[type=submit]:focus, input[type=submit]:focus-visible, input[type=submit]:active { outline: none;}

footer .contact-form-btn{position: relative;}
footer input:-webkit-autofill,
footer input:-webkit-autofill:hover,
footer input:-webkit-autofill:focus,
footer input:-webkit-autofill:active {
    transition: background-color 5000s ease-in-out 0s;
    -webkit-text-fill-color: var(--secondary) !important;
}
/* spinner */
footer .wpcf7-spinner { margin: 0px; position: absolute; top: 50%; left: 50%;transform: translate(-50%, -50%);background-color: var(--gray) !important;}
footer .submitting .wpcf7-submit { pointer-events: none; color: var(--black) !important; }
footer .submitting input[type=submit]{color: transparent !important;}
/* massege */
footer .wpcf7-response-output { margin: 25px 0px 0px !important; font-size: 12px !important; line-height: 20px !important; border: none !important; color: var(--white-color); font-weight: 600; text-align: center;}
footer .wpcf7 form.invalid .wpcf7-response-output,
footer .wpcf7 form.unaccepted .wpcf7-response-output { background: #ffb900;color: var(--white);}
footer .wpcf7 form.failed .wpcf7-response-output { background: #f05858;color: var(--white);}
footer .wpcf7 form.sent .wpcf7-response-output { background: #46b450;color: var(--white);}
footer .wpcf7-not-valid-tip { font-size: 12px;position: absolute;bottom: -25px; } 

/* ----------- footer-contact-info -----------*/
.footer-contact-info a{display: inline-flex;gap: 10px;align-items: center;margin-bottom: 16px;}
.footer-contact-info a img{width: 24px;height:24px;}

/* ---------------------------------------------------- bottom footer ------------------------------------------------------ */
.bottom-footer{padding-block: 35px;border-top: 1px solid #303030;}
/* footer-copyright */
.footer-copyright p,.footer-copyright .widget a:link{color:var(--gray);}

/* footer privacy */
.footer-privacy ul{display: flex;margin: 0;}
.footer-privacy ul li{padding-inline: 10px;position:relative;}
/* .footer-privacy ul li:first-child{padding-right: 6px;margin:0;} */
.footer-privacy ul li:first-child::after{content: " "; position: absolute; border-right: 2px solid var(--gray); top: 26%; right: -2px; height: 14px;}
.bottom-footer a{color: var(--gray) !important;position: relative;}
/* .bottom-footer .footer-privacy div:last-child ul li::after{display: none;} */
/* #block-15 ul li:after{display: none;} */



/* =========================================== media query start =========================================== */
@media screen and (max-width:1600px){
}
@media screen and (max-width:1500px){
    /*  =========================== header section =========================== */
    #mega-menu-wrap-primary #mega-menu-primary > li.mega-menu-item > a.mega-menu-link{ padding: 27px 0; }
    .site-main{padding-top: 79px;}
    /* nav */
    #mega-menu-wrap-primary #mega-menu-primary > li.mega-menu-item:last-child > a.mega-menu-link{padding: 10px 14px;margin-left: 45px;}
    
    /*  =========================== footer =========================== */
    .top-footer { padding: 80px 0 45px 0; }
    /* logo */
    .footer-logo img{max-width: 243px;}
    /* links */
    footer h2{font-size: 26px !important;}
    .footer-contact-info p { margin-bottom: 35px !important; }
    /*  */
    footer input[type=text],footer input[type=email],footer input[type=url],footer input[type=tel],footer input[type=password],footer input[type=search],footer input[type=number],footer input[type=tel],footer input[type=date],footer input[type=month],footer input[type=week],footer input[type=time],footer input[type=datetime],footer input[type=datetime-local],footer input[type=color], .site textarea, select{
        border-radius: 9px !important;
        padding: 8px 10px !important;
    }
    footer input[type=submit]{padding: 8px 12px !important;font-size: 15px !important; border-radius: 9px !important;}
    /* bottom footer */
    footer .bottom-footer { padding-block: 28px;}
    
}
@media screen and (max-width:1366px){
    /*  =========================== header section =========================== */
    #mega-menu-wrap-primary #mega-menu-primary > li.mega-menu-item > a.mega-menu-link{ padding: 24px 0; }
    .site-main{padding-top: 73px;}
    #mega-menu-wrap-primary #mega-menu-primary{gap:42px;}
    /* nav */
    #mega-menu-wrap-primary #mega-menu-primary > li.mega-menu-item:last-child > a.mega-menu-link{padding: 10px 13px;margin-left: 20px;}
    #mega-menu-wrap-primary #mega-menu-primary > li.mega-menu-megamenu > ul.mega-sub-menu{padding: 20px 28px 24px;border-radius: 0 0 15px 15px;}
    #mega-menu-wrap-primary a:has(img.image){border-radius: 15px;}
    #mega-menu-wrap-primary li.widget_media_image { padding: 0 6px !important; }
    #mega-menu-wrap-primary #mega-menu-primary > li.mega-menu-megamenu > ul.mega-sub-menu > li:first-child > ul{padding-bottom: 11px; margin: 0 6px 20px;}
    
    /*  =========================== footer =========================== */
    .top-footer { padding: 75px 0 40px 0; }
    /* logo */
    .footer-logo img{max-width: 214px;}
    /* links */
    footer h2{font-size: 22px !important;line-height:26px!important;}
    .footer-contact-info p { margin-bottom: 26px !important; }
    /* social icons */
    footer .footer-connect ul#menu-social-menu li a{width: 30px; height: 30px;}
    
    /*  */
    footer input[type=text], footer input[type=email], footer input[type=url], footer input[type=tel], footer input[type=password], footer input[type=search], footer input[type=number], footer input[type=tel], footer input[type=date], footer input[type=month], footer input[type=week], footer input[type=time], footer input[type=datetime], footer input[type=datetime-local], footer input[type=color], .site textarea, select{
        border-radius: 8px !important;
        padding: 8px 9px !important;
    }
    footer input[type=submit]{padding: 8px 11px !important;font-size: 14px !important; border-radius: 8px !important;}
    /* bottom footer */
    .bottom-footer { padding-block: 26px;}
    
}
@media screen and (max-width:1199px){
    /*  =========================== header section =========================== */
    .site-main{padding-top: 70px;}
    #mega-menu-wrap-primary #mega-menu-primary { gap: 24px; }
    /* nav */
    #mega-menu-wrap-primary #mega-menu-primary > li.mega-menu-item > a.mega-menu-link{font-size: 15px; line-height: 24px;padding: 23px 0;}
    #mega-menu-wrap-primary #mega-menu-primary > li.mega-menu-item:last-child > a.mega-menu-link{padding: 9px 11px;margin-left: 0px;border-radius: 9px;}
    #mega-menu-wrap-primary a:has(img.image){padding-top: 53.6%;}
    #mega-menu-wrap-primary #mega-menu-primary > li.mega-menu-megamenu > ul.mega-sub-menu{padding: 16px;}
    
    /*  =========================== footer =========================== */
    .top-footer { padding: 70px 0 38px 0; }
    .top-footer .row {--bs-gutter-x: 10px;}
    /* logo */
    .footer-logo img{max-width: 196px;}
    /* links */
    footer h2{font-size: 21px !important;line-height:24px!important;}
    .footer-contact-info p { margin-bottom: 22px !important; }
    /* form */
    .footer-contact-wrap{flex-wrap:wrap;}
    footer input[type=text], footer input[type=email], footer input[type=url], footer input[type=tel], footer input[type=password], footer input[type=search], footer input[type=number], footer input[type=tel], footer input[type=date], footer input[type=month], footer input[type=week], footer input[type=time], footer input[type=datetime], footer input[type=datetime-local], footer input[type=color], .site textarea, select{
        border-radius: 7px !important;
        padding: 8px 9px !important;
    }
    footer input[type=submit]{padding: 8px 11px !important; border-radius: 7px !important;}
    footer .wpcf7-not-valid-tip{position: relative;bottom:0;}
    /* bottom footer */
    .bottom-footer { padding-block: 26px;}
}
@media screen and (max-width:991px){
    /*  =========================== header section =========================== */
    #mega-menu-wrap-primary #mega-menu-primary > li.mega-menu-item > a.mega-menu-link{ padding: 21px 0; font-size: 14px; line-height: 22px;}
    .site-main{padding-top: 64px;}
    #mega-menu-wrap-primary #mega-menu-primary{ gap: 11px;}
    /* logo */
    header.site-header .site-logo img{max-width: 170px;}
    /* nav */
    #mega-menu-wrap-primary #mega-menu-primary > li.mega-menu-item:last-child > a.mega-menu-link{padding: 8px 9px;border-radius: 8px;}
    #mega-menu-wrap-primary .black-fill-theme-btn{font-size: 16px;}
    #mega-menu-wrap-primary li.widget_media_image h4{margin-inline: 12px;bottom: 10px; left: 16px;font-size: 14px !important;line-height: 20px !important;}
    
    /*  =========================== footer =========================== */
    .top-footer { padding:65px 0 36px 0; }
    .top-footer .row{row-gap: 30px; --bs-gutter-x:22px;}
    /* links */
    footer h2{font-size: 20px !important;line-height:22px!important;}
    .footer-contact-info p { margin-bottom: 20px !important; }
    /* form */
    .footer-contact-wrap{flex-wrap:nowrap;align-items: start;}
    footer input[type=text], footer input[type=email], footer input[type=url], footer input[type=tel], footer input[type=password], footer input[type=search], footer input[type=number], footer input[type=tel], footer input[type=date], footer input[type=month], footer input[type=week], footer input[type=time], footer input[type=datetime], footer input[type=datetime-local], footer input[type=color], .site textarea, select{
        border-radius: 8px !important;
        padding: 9px !important;
    }
    footer input[type=submit]{padding: 9px 11px !important; border-radius: 8px !important;}
    /* bottom footer */
    .bottom-footer { padding-block: 24px;}
}
@media screen and (max-width:767px){
    header .container{padding-block: 12px;}
    /* header menu */
    .primary-navigation{position: unset !important;}
    .menu-button-container{display: none !important; padding: 0; right:12px; top: 50%; transform: translateY(-50%); width: fit-content !important;}
    /* .menu-button-container #primary-mobile-menu { padding: 0; color: var(--black); }
    .primary-navigation > .primary-menu-container{ position: fixed; visibility: hidden; opacity: 0; top: 62px; right: 0; bottom: 0; left: 0; padding-top: calc(var(--button--line-height) * var(--primary-nav--font-size-button) + 42px + 5px); padding-left: var(--global--spacing-unit); padding-right: var(--global--spacing-unit); padding-bottom: var(--global--spacing-horizontal); background-color: var(--white); transition: all 0.15s ease-in-out; transform: translateY(-14px) !important; height: 100vh; z-index: 499; overflow-x: hidden; overflow-y: auto; border: 2px solid transparent; margin: 0 !important;}
    header.site-header .primary-navigation .menu-wrapper {max-height: 500px;flex-wrap: nowrap; flex-direction:column; gap:30px; position: absolute; top: 50%; left: 50%; transform: translate(-50%, -50%); margin-top: -50px; }
    .primary-navigation-open .primary-navigation > .primary-menu-container { position: absolute; visibility: visible; opacity: 1; transform: translateY(0) !important; }
    header.site-header .primary-navigation .menu-wrapper li { text-align: center; } */
    
    
    /* mega menu toggle style*/
    #mega-menu-wrap-primary .mega-menu-toggle.mega-menu-open ~ button.mega-close{display: none;}
    #mega-menu-wrap-primary .mega-menu-toggle, #mega-menu-wrap-primary{background-color: var(--f0);}
    #mega-menu-wrap-primary .mega-menu-toggle .mega-toggle-blocks-right .mega-toggle-block:only-child{margin-inline: 0;}
    #mega-menu-wrap-primary .mega-menu-toggle .mega-toggle-block-0 .mega-toggle-animated-inner, 
    #mega-menu-wrap-primary .mega-menu-toggle .mega-toggle-block-0 .mega-toggle-animated-inner::before, 
    #mega-menu-wrap-primary .mega-menu-toggle .mega-toggle-block-0 .mega-toggle-animated-inner::after { width: 30px; height: 3px;background-color: black; }
    #mega-menu-wrap-primary .mega-menu-toggle .mega-toggle-block-0 .mega-toggle-animated-box{width: 25px; height: 24px;}
    
    /* mega menu nav style */
    /* logo */
    header.site-header .site-logo img{max-width: 175px;}
    #mega-menu-wrap-primary .mega-menu-toggle + #mega-menu-primary{background-color: var(--off-white-01);padding: 30px;}    
    
    /* nav */
    #mega-menu-wrap-primary .mega-menu-toggle.mega-menu-open + #mega-menu-primary{gap:35px;}
    #mega-menu-wrap-primary #mega-menu-primary > li.mega-menu-item > a.mega-menu-link { padding: 0; font-size: 18px;line-height: 26px; width: fit-content; margin: 0 auto;}
    #mega-menu-wrap-primary #mega-menu-primary > li.mega-menu-item:last-child > a.mega-menu-link{padding:0;border-radius: 0;background-color: var(--f0);color:#AAAAAA;border:none;}
    #mega-menu-wrap-primary #mega-menu-primary > li.mega-menu-item:last-child > a.mega-menu-link:hover{background-color: var(--f0);color:var(--black);}
    
    /* sub menu */
    #mega-menu-wrap-primary #mega-menu-primary li.mega-menu-item-has-children > a.mega-menu-link > span.mega-indicator{display: block;}
    #mega-menu-wrap-primary #mega-menu-primary > li.mega-menu-megamenu > ul.mega-sub-menu{padding:0;}
    #mega-menu-wrap-primary #mega-menu-primary li.mega-menu-megamenu > ul.mega-sub-menu > li.mega-menu-row .mega-menu-column > ul.mega-sub-menu > li.mega-menu-item{margin-top: 12px;text-align: center;}
    #mega-menu-wrap-primary li.widget_media_image h4{color: var(--black) !important; opacity: 1; top: 0; left: 0 !important; height: 100%;text-align:center !important;position:relative;}
    #mega-menu-wrap-primary a:has(img.image){padding-top: unset; position: absolute !important; height: 100%; width: 100%; top: 0; left: 0;}
    #mega-menu-wrap-primary li.widget_media_image img,
    #mega-menu-wrap-primary li.widget_media_image a::before{display:none !important;}
    /* view more button */
    #mega-menu-wrap-primary #mega-menu-primary > li.mega-menu-megamenu > ul.mega-sub-menu > li:first-child > ul { padding-bottom: 0; margin: 0; border: none; }
    #mega-menu-wrap-primary a:focus{background-color: var(--f0) !important;}
    
    
    /*  =========================== footer =========================== */
    .top-footer { padding:60px 0 30px 0; }
    .top-footer .row{row-gap: 28px; --bs-gutter-x:18px;}
    /* links */
    footer h2{font-size: 19px !important;}
    .footer-contact-info p { margin-bottom: 18px !important; }
    /* form */
    footer input[type=text], footer input[type=email], footer input[type=url], footer input[type=tel], footer input[type=password], footer input[type=search], footer input[type=number], footer input[type=tel], footer input[type=date], footer input[type=month], footer input[type=week], footer input[type=time], footer input[type=datetime], footer input[type=datetime-local], footer input[type=color], .site textarea, select{
        padding: 8px !important;
    }
    .footer-connect ul li img { width: 18px; height: 18px; }
    footer input[type=submit]{padding: 8px 6px !important;}
    /* bottom footer */
    .bottom-footer { padding-block: 20px;}
    .bottom-footer .container{flex-direction: column;gap:8px;}
}
@media screen and (max-width:575px){
    /*  =========================== header =========================== */
    #mega-menu-wrap-primary .mega-menu-toggle.mega-menu-open + #mega-menu-primary{width: 250px;}
    #mega-menu-wrap-primary #mega-menu-primary > li.mega-menu-item > a.mega-menu-link{font-size: 16px;line-height:24px;}
    
    /*  =========================== footer =========================== */
    body:not(.primary-navigation-open) .site-header.has-logo.has-title-and-tagline .menu-button-container{margin-top: 0;position:absolute;}
    .has-logo.has-title-and-tagline .primary-navigation > .primary-menu-container{position: absolute;}
    .primary-navigation-open .primary-navigation{width: auto;}
    .primary-navigation > div > .menu-wrapper{padding: 0;}
    /* social icons */
    footer .footer-connect ul#menu-social-menu{gap:10px;}
    footer .footer-connect ul#menu-social-menu li a{width: 26px; height: 26px;}
    
}

